#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		majversion	%(echo %{version} | cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	clutter-gst
Version		:	3.0.27
Release		:	14.4.0.0%{?dist}
Summary		:	Library providing facilities to integrate Clutter into GStreamer

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLV2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/clutter-gst 

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	clutter-devel
BuildRequires	:	gobject-introspection
BuildRequires	:	gst-plugins-base
BuildRequires	:	libgudev
#-----------------------------------------------------------------------------
%description
The Clutter Gst package contains an integration library for
using GStreamer with Clutter. Its purpose is to implement
the ClutterMedia interface using GStreamer.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
	$XORG_CONFIG					\
	--exec-prefix=%{_exec_prefix}			\
	--includedir=%{_includedir}			\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-gtk-doc				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_includedir}/%{name}-%{majversion}/%{name}/%{name}.h
%{_includedir}/%{name}-%{majversion}/%{name}/%{name}-*.h
%{_libdir}/gstreamer-1.0/libcluttergst3.so
%{_libdir}/lib%{name}-%{majversion}.so*
%{_libdir}/pkgconfig/%{name}-%{majversion}.pc
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
%{_datadir}/gtk-doc/html/%{name}-3.0/*.{html,png}
%{_datadir}/gtk-doc/html/%{name}-3.0/style.css

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog

